GET api/contractapi/contract/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
ContractViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| washing_processes | Collection of WashingProcessViewModel |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
|
| selected_nameplate_id | globally unique identifier |
None. |
|
| active | boolean |
Required |
|
| certificate_type_id | globally unique identifier |
Required |
|
| code | integer |
None. |
|
| id | globally unique identifier |
None. |
|
| internal_reference | string |
String length: inclusive between 0 and 50 |
|
| item_wash_max | integer |
None. |
|
| language_code | string |
Required String length: inclusive between 0 and 10 |
|
| name | string |
Required String length: inclusive between 0 and 100 |
|
| packaging_type_id | globally unique identifier |
Required |
|
| packing_type_id | globally unique identifier |
Required |
|
| particles_control | boolean |
Required |
|
| peremption_month | integer |
None. |
|
| peremption_print_cleanroom | boolean |
Required |
|
| peremption_print_date | boolean |
Required |
|
| peremption_print_expedition | boolean |
Required |
|
| permanent_management | boolean |
Required |
|
| pool_id | globally unique identifier |
None. |
|
| remark | string |
None. |
|
| site_customer_id | globally unique identifier |
Required |
|
| sorting_type_id | globally unique identifier |
Required |
|
| type | string |
Required String length: inclusive between 0 and 1 |
Response Formats
application/json, text/json
Sample:
{
"washing_processes": [
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "002aeb15-f684-4651-8f75-0c000661e603",
"site_id": "a3f85bab-d795-4f2d-80f6-30acb27d23b9"
},
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "002aeb15-f684-4651-8f75-0c000661e603",
"site_id": "a3f85bab-d795-4f2d-80f6-30acb27d23b9"
}
],
"selected_sticker_id": "ce7df8f3-5921-494f-b290-783cd057bcb8",
"selected_nameplate_id": "5e129265-f697-49ee-a949-e53cd8940f1c",
"active": true,
"certificate_type_id": "39a28fb0-92f9-4a1b-b717-4497e6874d11",
"code": 1,
"id": "0ad01a80-3498-4bb2-9055-729f0dfef82d",
"internal_reference": "sample string 4",
"item_wash_max": 1,
"language_code": "sample string 5",
"name": "sample string 6",
"packaging_type_id": "0fb9ee92-2d9d-4ca9-a0b1-c653d81abed4",
"packing_type_id": "d18c6dd0-168f-481c-a3dd-728ce187fdf7",
"particles_control": true,
"peremption_month": 1,
"peremption_print_cleanroom": true,
"peremption_print_date": true,
"peremption_print_expedition": true,
"permanent_management": true,
"pool_id": "ef52ad87-959b-4149-a692-c00f97e6e93b",
"remark": "sample string 14",
"site_customer_id": "ac19891e-132a-450d-94fa-2a74b040a6aa",
"sorting_type_id": "b11c3340-ab98-4647-ba2c-590f68fc7fc0",
"type": "sample string 17"
}
application/xml, text/xml
Sample:
<contract xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<certificate_type_id>39a28fb0-92f9-4a1b-b717-4497e6874d11</certificate_type_id>
<code>1</code>
<id>0ad01a80-3498-4bb2-9055-729f0dfef82d</id>
<internal_reference>sample string 4</internal_reference>
<item_wash_max>1</item_wash_max>
<language_code>sample string 5</language_code>
<name>sample string 6</name>
<packaging_type_id>0fb9ee92-2d9d-4ca9-a0b1-c653d81abed4</packaging_type_id>
<packing_type_id>d18c6dd0-168f-481c-a3dd-728ce187fdf7</packing_type_id>
<particles_control>true</particles_control>
<peremption_month>1</peremption_month>
<peremption_print_cleanroom>true</peremption_print_cleanroom>
<peremption_print_date>true</peremption_print_date>
<peremption_print_expedition>true</peremption_print_expedition>
<permanent_management>true</permanent_management>
<pool_id>ef52ad87-959b-4149-a692-c00f97e6e93b</pool_id>
<remark>sample string 14</remark>
<site_customer_id>ac19891e-132a-450d-94fa-2a74b040a6aa</site_customer_id>
<sorting_type_id>b11c3340-ab98-4647-ba2c-590f68fc7fc0</sorting_type_id>
<type>sample string 17</type>
<selected_nameplate_id>5e129265-f697-49ee-a949-e53cd8940f1c</selected_nameplate_id>
<selected_sticker_id>ce7df8f3-5921-494f-b290-783cd057bcb8</selected_sticker_id>
<washing_processes>
<washing_process>
<active>true</active>
<code>sample string 2</code>
<id>002aeb15-f684-4651-8f75-0c000661e603</id>
<site_id>a3f85bab-d795-4f2d-80f6-30acb27d23b9</site_id>
<descriptions xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d4p1:KeyValueOfstringstring>
<d4p1:Key>sample string 1</d4p1:Key>
<d4p1:Value>sample string 2</d4p1:Value>
</d4p1:KeyValueOfstringstring>
<d4p1:KeyValueOfstringstring>
<d4p1:Key>sample string 3</d4p1:Key>
<d4p1:Value>sample string 4</d4p1:Value>
</d4p1:KeyValueOfstringstring>
</descriptions>
</washing_process>
<washing_process>
<active>true</active>
<code>sample string 2</code>
<id>002aeb15-f684-4651-8f75-0c000661e603</id>
<site_id>a3f85bab-d795-4f2d-80f6-30acb27d23b9</site_id>
<descriptions xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d4p1:KeyValueOfstringstring>
<d4p1:Key>sample string 1</d4p1:Key>
<d4p1:Value>sample string 2</d4p1:Value>
</d4p1:KeyValueOfstringstring>
<d4p1:KeyValueOfstringstring>
<d4p1:Key>sample string 3</d4p1:Key>
<d4p1:Value>sample string 4</d4p1:Value>
</d4p1:KeyValueOfstringstring>
</descriptions>
</washing_process>
</washing_processes>
</contract>